Debian Bug report logs - #426395
initramfs-tools: omission of libgcc_s.so.1 from initramfs makes Linksys NSLU2 unbootable

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Marcus Better <marcus@better.se>

Date: Mon, 28 May 2007 13:30:06 UTC

Severity: important

Tags: d-i, patch

Found in version initramfs-tools/0.87b

Fixed in version initramfs-tools/0.89

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#426395; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: initramfs-tools: omission of libgcc_s.so.1 from initramfs makes Linksys NSLU2 unbootable
Date: Mon, 28 May 2007 15:24:39 +0200
Package: initramfs-tools
Version: 0.87b
Severity: critical
Tags: patch
Justification: breaks the whole system

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I cross-compiled an arm kernel from linux-source-2.6.21 using make-kpkg. After installing it on my Linksys NSLU2, the system became unbootable. Here is the console output:

Booting kernel at 0x00008000...
Uncompressing
Linux........................................................................
......... done, booting the kernel.
Linux version 2.6.21-slug (2.6.21-2) (marcus <at> melech) (gcc version 4.1.3
20070518 (prerelease) (Debian 4.1.2-8)) #2 Tue May 22 13:35:38 CEST 2007
CPU: XScale-IXP42x Family [690541f1] revision 1 (ARMv5TE), cr=0000397f
Machine: Linksys NSLU2
Memory policy: ECC disabled, Data cache writeback
CPU0: D VIVT undefined 5 cache
CPU0: I cache: 32768 bytes, associativity 32, 32 byte lines, 32 sets
CPU0: D cache: 32768 bytes, associativity 32, 32 byte lines, 32 sets
Built 1 zonelists.  Total pages: 8128
Kernel command line: rtc-x1205.probe=0,0x6f console=ttyS0,115200
rtc-x1205.probe=0,0x6f noirqdebug
IRQ lockup detection disabled
PID hash table entries: 128 (order: 7, 512 bytes)
Console: colour dummy device 80x30
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Memory: 32MB = 32MB total
Memory: 25796KB available (2236K code, 213K data, 96K init)
Security Framework v1.0.0 initialized
SELinux:  Disabled at boot.
Capability LSM initialized
Mount-cache hash table entries: 512
CPU: Testing write buffer coherency: ok
NET: Registered protocol family 16
IXP4xx: Using 16MiB expansion bus window size
PCI: IXP4xx is host
PCI: IXP4xx Using direct access for memory space
PCI: bus0: Fast back to back transfers disabled
dmabounce: registered device 0000:00:01.0 on pci bus
dmabounce: registered device 0000:00:01.1 on pci bus
dmabounce: registered device 0000:00:01.2 on pci bus
NET: Registered protocol family 2
Time: OSTS clocksource has been installed.
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 4096K
NetWinder Floating Point Emulator V0.97 (double precision)
audit: initializing netlink socket (disabled)
audit(4.370:1): initialized
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
JFFS2 version 2.2. (NAND) (C) 2001-2006 Red Hat, Inc.
io scheduler noop registered
io scheduler cfq registered (default)
IXP4xx Watchdog Timer: heartbeat 60 sec
Serial: 8250/16550 driver $Revision: 1.90 $ 2 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0xc8000000 (irq = 15) is a XScale
serial8250.0: ttyS1 at MMIO 0xc8001000 (irq = 13) is a XScale
RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 blocksize
IXP4XX-Flash.0: Found 1 x16 devices at 0x0 in 16-bit bank
 Intel/Sharp Extended Query Table at 0x0031
Using buffer write method
cfi_cmdset_0001: Erase suspend on write enabled
Searching for RedBoot partition table in IXP4XX-Flash.0 at offset 0x7e0000
6 RedBoot partitions found on MTD device IXP4XX-Flash.0
Creating 6 MTD partitions on "IXP4XX-Flash.0":
0x00000000-0x00040000 : "RedBoot"
NSLU2 MAC: 00:13:10:d6:1b:1b
0x00040000-0x00060000 : "SysConf"
0x00060000-0x00080000 : "Loader"
0x00080000-0x001e0000 : "Kernel"
0x001e0000-0x007e0000 : "Ramdisk"
0x007e0000-0x00800000 : "FIS directory"
mice: PS/2 mouse device common for all mice
i2c /dev entries driver
x1205 0-006f: chip found, driver version 1.0.7
x1205 0-006f: rtc core: registered x1205 as rtc0
Registered led device: ready
Registered led device: status
Registered led device: disk-1
Registered led device: disk-2
NET: Registered protocol family 26
TCP bic registered
NET: Registered protocol family 1
NET: Registered protocol family 17
XScale DSP coprocessor detected.
x1205 0-006f: setting the system clock to 2007-05-22 12:03:58 (1179835438)
Freeing init memory: 96K
libgcc_s.so.1 must be installed for pthread_cancel to workKernel panic - not
syncing: Attempted to kill init!


Adding libgcc_s.so.1 to the initramfs and reflashing it solved the problem.

Please see this discussion [1] for more details.

Marcus

[1] http://thread.gmane.org/gmane.linux.debian.ports.arm/4187/focus=4218



- -- Package-specific info:
- -- /proc/cmdline
rtc-x1205.probe=0,0x6f console=ttyS0,115200 rtc-x1205.probe=0,0x6f noirqdebug

- -- /proc/filesystems
	cramfs
	ext3
	fuseblk
	reiserfs
	xfs

- -- lsmod
Module                  Size  Used by
des                    19392  1330 
cbc                     4672  1330 
blkcipher               6116  1 cbc
ledtrig_heartbeat       3008  0 
nfs                   267076  0 
nfsd                  238572  17 
exportfs                5696  1 nfsd
lockd                  69912  3 nfs,nfsd
nfs_acl                 3936  2 nfs,nfsd
xfs                   560420  1 
reiserfs              268756  2 
fuse                   46996  1 
rtc_sysfs               4736  0 
rtc_proc                4324  0 
rpcsec_gss_krb5         8876  665 
auth_rpcgss            43172  3 rpcsec_gss_krb5
sunrpc                179632  16 nfs,nfsd,lockd,nfs_acl,rpcsec_gss_krb5,auth_rpcgss
ixp4xx_rng              1728  0 
rng_core                5348  1 ixp4xx_rng
rtc_dev                 7464  0 
ixp4xx_mac             19380  0 
hci_usb                17052  0 
bluetooth              55972  1 hci_usb
evdev                  10496  0 
ixp4xx_qmgr             8460  5 ixp4xx_mac
ixp4xx_npe             14176  2 ixp4xx_mac
firmware_class         10272  1 ixp4xx_npe
ixp4xx_beeper           3520  0 
ext3                  135400  9 
jbd                    59112  1 ext3
mbcache                 9028  1 ext3
sd_mod                 19248  5 
dm_mirror              21652  0 
dm_snapshot            17664  0 
dm_mod                 60844  29 dm_mirror,dm_snapshot
usb_storage            38340  3 
scsi_mod              103428  2 sd_mod,usb_storage
ehci_hcd               32652  0 
ohci_hcd               18404  0 
usbcore               129148  5 hci_usb,usb_storage,ehci_hcd,ohci_hcd

- -- /etc/kernel-img.conf
# Kernel Image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
postinst_hook = flash-kernel


- -- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
BOOT=local
DEVICE=eth0
NFSROOT=auto


- -- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: arm (armv5tel)

Kernel: Linux 2.6.21-slug
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  busybox                       1:1.1.3-4  Tiny utilities for small and embed
ii  cpio                          2.7-1      GNU cpio -- a program to manage ar
ii  klibc-utils                   1.4.34-1   small statically-linked utilities 
ii  module-init-tools             3.3-pre4-2 tools for managing Linux kernel mo
ii  udev                          0.105-4    /dev/ and hotplug management daemo

initramfs-tools recommends no packages.

- -- debconf information:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "sv_SE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGWtgWXjXn6TzcAQkRAvqYAKDsPIMCICBQQoR531sLElUUAMb7/gCfcXx3
soMOU0a8dVVsfHrED6KoeuQ=
=n+Hd
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#426395; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 426395@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 426395@bugs.debian.org
Cc: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Subject: libc dlopening libgcc on arm
Date: Mon, 28 May 2007 21:49:48 -0400
[Message part 1 (text/plain, inline)]
Just spent half an hour since my slug wouldn't boot and I had to reflash
an old initramfs. This bug should be fixed ASAP before it breaks a lot
of systems.

root@slug:/tmp/initramfs>mkinitramfs -o out -k
Working files in /root/tmp/mkinitramfs_tj3082 and overlay in /root/tmp/mkinitramfs-OL_jH3085
root@slug:/tmp/initramfs>chroot /root/tmp/mkinitramfs_tj3082 bin/sh
libgcc_s.so.1 must be installed for pthread_cancel to work
joey@kodama:~/tmp/initramfs>strings /lib/libc.so.6|grep 'libgcc_s.so.1 must be installed for pthread_cancel to wor'
libgcc_s.so.1 must be installed for pthread_cancel to work
root@slug:~/tmp/mkinitramfs_tj3082>dpkg -l libc6 
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  libc6          2.5-9          GNU C Library: Shared libraries

This need for libgcc without direct linkage to it seems to be specific to
arm. CCing the glibc maintainers for comment; you can find the code that does
this under ports/sysdeps/unix/sysv/linux/arm/.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Tags removed: patch Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Tue, 29 May 2007 13:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#426395; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 426395@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Joey Hess <joeyh@debian.org>
Cc: 426395@bugs.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>
Subject: Re: libc dlopening libgcc on arm
Date: Wed, 30 May 2007 09:10:40 +0200
Joey Hess a écrit :
> Just spent half an hour since my slug wouldn't boot and I had to reflash
> an old initramfs. This bug should be fixed ASAP before it breaks a lot
> of systems.
> 
> root@slug:/tmp/initramfs>mkinitramfs -o out -k
> Working files in /root/tmp/mkinitramfs_tj3082 and overlay in /root/tmp/mkinitramfs-OL_jH3085
> root@slug:/tmp/initramfs>chroot /root/tmp/mkinitramfs_tj3082 bin/sh
> libgcc_s.so.1 must be installed for pthread_cancel to work
> joey@kodama:~/tmp/initramfs>strings /lib/libc.so.6|grep 'libgcc_s.so.1 must be installed for pthread_cancel to wor'
> libgcc_s.so.1 must be installed for pthread_cancel to work
> root@slug:~/tmp/mkinitramfs_tj3082>dpkg -l libc6 
> Desired=Unknown/Install/Remove/Purge/Hold
> | Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
> |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
> ||/ Name           Version        Description
> +++-==============-==============-============================================
> ii  libc6          2.5-9          GNU C Library: Shared libraries
> 
> This need for libgcc without direct linkage to it seems to be specific to
> arm. CCing the glibc maintainers for comment; you can find the code that does
> this under ports/sysdeps/unix/sysv/linux/arm/.
> 

This code is actually present on all architectures. I am currently
trying to see what makes arm different.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#426395; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 426395@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Joey Hess <joeyh@debian.org>
Cc: 426395@bugs.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>
Subject: Re: libc dlopening libgcc on arm
Date: Wed, 30 May 2007 09:27:10 +0200
Aurelien Jarno a écrit :
> Joey Hess a écrit :
>> Just spent half an hour since my slug wouldn't boot and I had to reflash
>> an old initramfs. This bug should be fixed ASAP before it breaks a lot
>> of systems.
>>
>> root@slug:/tmp/initramfs>mkinitramfs -o out -k
>> Working files in /root/tmp/mkinitramfs_tj3082 and overlay in /root/tmp/mkinitramfs-OL_jH3085
>> root@slug:/tmp/initramfs>chroot /root/tmp/mkinitramfs_tj3082 bin/sh
>> libgcc_s.so.1 must be installed for pthread_cancel to work
>> joey@kodama:~/tmp/initramfs>strings /lib/libc.so.6|grep 'libgcc_s.so.1 must be installed for pthread_cancel to wor'
>> libgcc_s.so.1 must be installed for pthread_cancel to work
>> root@slug:~/tmp/mkinitramfs_tj3082>dpkg -l libc6 
>> Desired=Unknown/Install/Remove/Purge/Hold
>> | Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
>> |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
>> ||/ Name           Version        Description
>> +++-==============-==============-============================================
>> ii  libc6          2.5-9          GNU C Library: Shared libraries
>>
>> This need for libgcc without direct linkage to it seems to be specific to
>> arm. CCing the glibc maintainers for comment; you can find the code that does
>> this under ports/sysdeps/unix/sysv/linux/arm/.
>>
> 
> This code is actually present on all architectures. I am currently
> trying to see what makes arm different.
> 

The same code is also present on glibc 2.3.6 for nptl builds. So at
least amd64 is using it in etch for the initrd.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Severity set to `important' from `critical' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 30 May 2007 07:57:05 GMT) Full text and rfc822 format available.

Tags added: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2007 21:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#426395; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 426395@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 426395@bugs.debian.org
Subject: patch
Date: Tue, 5 Jun 2007 17:35:22 -0400
[Message part 1 (text/plain, inline)]
Here is the patch that I am using on my slug to keep it bootable.
Not perfect, but works ok.

The best explanation so far for why this issue only affects old-abi arm:
http://lists.debian.org/debian-glibc/2007/05/msg00499.html
Based on that, it doesn't seem that this is an issue that will be fixed
in glibc.

-- 
see shy jo
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Thu, 21 Jun 2007 09:33:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Thu, 21 Jun 2007 09:54:05 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marcus Better <marcus@better.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 426395-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 426395-close@bugs.debian.org
Subject: Bug#426395: fixed in initramfs-tools 0.89
Date: Tue, 03 Jul 2007 22:47:03 +0000
Source: initramfs-tools
Source-Version: 0.89

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.89.dsc
  to pool/main/i/initramfs-tools/initramfs-tools_0.89.dsc
initramfs-tools_0.89.tar.gz
  to pool/main/i/initramfs-tools/initramfs-tools_0.89.tar.gz
initramfs-tools_0.89_all.deb
  to pool/main/i/initramfs-tools/initramfs-tools_0.89_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 426395@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 04 Jul 2007 00:28:34 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.89
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 374611 426395 427837 427838 429144
Changes: 
 initramfs-tools (0.89) unstable; urgency=low
 .
   Release "L'électeur c'est notoire N'a pas tout' sa raison"
 .
   [ Joey Hess ]
   * mkinitramfs: Include libgcc_s.so.1 on arm since glibc always tries to load
     it for the SJLJ exception handling on that architecture. (closes: #426395)
     Thanks to Aurelien Jarno for ack and review.
 .
   [ maximilian attems ]
   * initramfs.conf.5: Document ROOT hardcoding.
   * scripts/local: Use simpler fstype invocation.
   * initramfs-tools.8, initramfs.conf.5: Fix typos. (closes: #427837, #427838)
     Thanks "A. Costa" <agcosta@gis.net> for the patch.
   * scripts/local: Try to warn for renamed root dev. (closes: #374611)
   * minitramfs: Fall back to bootable default MODULES=most if unsupported
     MODULES setting is passed. Thanks Henning Sprang <henning_sprang@gmx.de>
     for report. (closes: #429144)
   * hook-functions: Fix variable typo. Thanks Emanuele Rocca <ema@debian.org>.
   * scripts/local: Revert change to use udev vol_id before fstype,
     there are too many "wrongly" formated fs out there. fstype supports less,
     but is more robust.
Files: 
 ab76678db60349a57097080c5ed85bca 656 utils optional initramfs-tools_0.89.dsc
 63b22065170eaddedb85427bdbb384bd 59800 utils optional initramfs-tools_0.89.tar.gz
 6445c324340becaa95fda7f4abf39909 66836 utils optional initramfs-tools_0.89_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGis8weW7Lc5tEHqgRAgQ8AKCoQU1srqdW0VVmMl/EO34waxFPTgCgmLBv
o64rp6SF09QDhSYvEG4PDwM=
=X/mw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Aug 2007 07:30:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:32:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.